unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label3: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    Label4: TLabel;

    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
   x,y,flag:integer;
   implementation

{$R *.dfm}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
     x:= StrToInt(edit1.Text);
     y:= StrToInt(edit2.Text);
      if (x<y) and (RadioButton1.Checked)
        then begin
         Label4.Caption:='Правильно';
            flag:=1;
       end;
      if ((x>y) or (x=y))and(RadioButton2.Checked) then begin
          Label4.Caption:='Правильно';
          flag:=1;
        end;
       if (flag=0) and(RadioButton2.Checked) then Label4.Caption:='Неправильно';




end;

end.
